%define	major		10
%define gmajor		0.1
%define	oname		nice
%define	libname		%mklibname %{oname} %{major}
%define girname		%mklibname %{oname}-gir %{gmajor}
%define develname	%mklibname %{oname} -d

Name:		libnice
Version:	0.1.14
Release:	%mkrel 1
Summary:	Implementation of the IETF's ICE standard (RFC 5245)
License:	LGPLv2+ and MPLv1+
Group:		System/Libraries
URL:		http://nice.freedesktop.org/wiki/
Source0:	http://nice.freedesktop.org/releases/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gupnp-igd-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(gnutls) 

%description
Nice is an implementation of the IETF's draft Interactive Connectivity
Establishment standard (ICE). It provides GLib-based library, libnice.

ICE is useful for applications that want to establish peer-to-peer UDP
data streams. It automates the process of traversing NATs and provides
security against some attacks.

Existing standards that use ICE include the Session Initiation Protocol
(SIP) and Jingle, XMPP extension for audio/video calls.

Nice includes integration with GStreamer.

%package -n %{libname}
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Obsoletes:	%{_lib}nice1 < 0.1.1-4

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary: 	Header files, libraries and development documentation for %{oname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:       lib%{oname}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the development files, headers and documentation for
%{oname}.

%package utils
Summary:	Utilities from %{oname}
Group:		Networking/Other

%description utils
This package contains various tools from %{name}.

%package examples
Summary:	Example binaries for %{oname}
Group:		Networking/Other

%description examples
This package contains the example binaries for %{oname}.

%package -n gstreamer1.0-%{oname}
Summary:	Gstreamer elements from %{oname}
Group:		System/Libraries

%description -n gstreamer1.0-%{oname}
Gstreamer 1.0 elements from %{oname}.

%package -n gstreamer0.10-%{oname}
Summary:	Gstreamer elements from %{oname}
Group:		System/Libraries
# conflict with older %%libname that had the gst .so, before the split
Conflicts:	%{_lib}nice0 < 0.1.0
Conflicts:	%{_lib}nice1 < 0.1.0

%description -n	gstreamer0.10-%{oname}
Gstreamer 0.10 elements from %{oname}.

%prep
%setup -q
%apply_patches

%build
# Disable this flaky test
sed -i -e '/^[[:space:]]*test-io-stream-thread/d' tests/Makefile.am
autoreconf -fiv
%configure2_5x \
	--with-gstreamer \
	--with-gstreamer-0.10 \
	--enable-gupnp \
	--disable-static \
	--enable-compile-warnings=no

# disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %buildroot
%makeinstall_std

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*
%{_libdir}/girepository-1.0/Nice-%{gmajor}.typelib

%files -n %{develname}
%doc AUTHORS NEWS README COPYING COPYING.LGPL COPYING.MPL
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/%{oname}/
%{_includedir}/stun/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gir-1.0/Nice-%{gmajor}.gir

%files utils
%{_bindir}/stun*

%files examples
%{_bindir}/*-example

%files -n gstreamer1.0-%{oname}
%{_libdir}/gstreamer-1.0/libgstnice.so

%files -n gstreamer0.10-%{oname}
%{_libdir}/gstreamer-0.10/libgstnice010.so


%changelog
* Thu Oct 19 2017 bb2 <bb2> - 0.1.14-1pclos2017
- new version
- new gcc
